aboutsummaryrefslogtreecommitdiffstats
path: root/tools/macos-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2017-08-07 10:08:43 -0700
committerGuy Harris <guy@alum.mit.edu>2017-08-07 17:09:23 +0000
commitf63b0241c9eeb1ef3dc1e915820c440119c30526 (patch)
tree71163d680a5e9d2f9748c494e45ee943d9b7b5b8 /tools/macos-setup.sh
parent4053bde54b9c356bdee4f4e7548790ce5a06e9a5 (diff)
Fix SpanDSP build with older versions of Xcode.
Older versions of Xcode don't support -Wunused-but-set-variable, so remove it from the list of options with which to compile SpanDSP. Change-Id: Idd298e19eaf770980da179412480e17a00514d36 Reviewed-on: https://code.wireshark.org/review/22991 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'tools/macos-setup.sh')
-rwxr-xr-xtools/macos-setup.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index 8c9cb7d6ce..01334b1b00 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -1862,6 +1862,12 @@ install_spandsp() {
$no_build && echo "Skipping installation" && return
gzcat spandsp-$SPANDSP_VERSION.tar.gz | tar xf - || exit 1
cd spandsp-$SPANDSP_VERSION
+ #
+ # Don't use -Wunused-but-set-variable, as it's not supported
+ # by all the gcc versions in the versions of Xcode that we
+ # support.
+ #
+ patch -p0 <../../macosx-support-lib-patches/spandsp-configure-patch || exit 1
./configure || exit 1
make $MAKE_BUILD_OPTS || exit 1
$DO_MAKE_INSTALL || exit 1